/*
 * OProfile User Interface
 *
 * Copyright (C) 2007 Nokia Corporation. All rights reserved.
 *
 * Author: Robert Bradford <rob@openedhand.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA
 *
 */

#ifndef _UTIL_H_
#define _UTIL_H_

#include <unistd.h>

#include "command.h"
#include "response.h"

int util_write_in_full (int fd, char *buf, size_t count);
int util_read_in_full (int fd, char *buf, size_t count);
int util_sendfile_in_full (int src_fd, int dest_fd, size_t count);

int util_cmd_header_read_in_full (int fd, OpuiCommand *cmd);
int util_resp_header_write_in_full (int fd, OpuiResponse *resp);
int util_resp_write_in_full (int fd, OpuiResponse *resp);

void util_resp_header_to_host (OpuiResponse *resp);
void util_resp_body_to_host (OpuiResponse *resp);
void util_cmd_header_to_net (OpuiCommand *cmd);
void util_cmd_header_to_host (OpuiCommand *cmd);

#endif
